package edu.prlab.tyler.iotgateway.cloud.repositories;

import edu.prlab.tyler.iotgateway.cloud.pojo.device.Device;
import edu.prlab.tyler.iotgateway.cloud.pojo.privacy.PrivacyPolicyReport;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface PrivacyPolicyReportRepository extends CrudRepository<PrivacyPolicyReport, String> {
    Optional<PrivacyPolicyReport> findByDevice(Device device);
}
