package edu.prlab.tyler.iotgateway.gateway.repositories;

import edu.prlab.tyler.iotgateway.gateway.pojo.auth.SensitiveUser;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;
@Repository
public interface UserRepository extends CrudRepository<SensitiveUser, Long> {
    SensitiveUser findUserByAccount(String account);
    boolean existsByAccount(String account);
}
